Name:		librepcb
Version:	1.3.0
Release:	%mkrel 2
Summary:	A powerful, innovative and intuitive EDA tool for everyone
License:	GPLv3+
Group:		Sciences/Other
URL:		https://librepcb.org/
Source0:	https://download.librepcb.org/releases/%{version}/%{name}-%{version}-source.zip
Patch0:		librepcb-1.3.0-cmake4.patch
BuildRequires:	cargo-rpm-macros
BuildRequires:	cmake
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6OpenGL)
BuildRequires:	cmake(Qt6OpenGLWidgets)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(OpenCASCADE)
BuildRequires:	cmake(QuaZip-Qt6)
BuildRequires:	pkgconfig(fontobene-qt6)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gmock)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(muparser)
BuildRequires:	pkgconfig(polyclipping)
BuildRequires:	pkgconfig(sfml-graphics)
BuildRequires:	rust-cbindgen0.26-devel

Requires:	qtbase6-database-plugin-sqlite
Requires:	shared-mime-info

%description
LibrePCB is a free EDA software to develop printed circuit boards.

%prep
%autosetup -p1

pushd ./libs/librepcb/rust-core/
%cargo_prep
popd

find . -name "Cargo.lock" -delete

%generate_buildrequires
pushd ./libs/librepcb/rust-core/ > /dev/null
%cargo_generate_buildrequires -t
popd > /dev/null

%build
%cmake_qt6 \
	-DQT_MAJOR_VERSION=6 \
	-DUNBUNDLE_DXFLIB=OFF \
	-DUNBUNDLE_HOEDOWN=OFF \
	-DUNBUNDLE_FONTOBENE_QT=ON \
	-DUNBUNDLE_GTEST=ON \
	-DUNBUNDLE_MUPARSER=ON \
	-DUNBUNDLE_POLYCLIPPING=ON \
	-DUNBUNDLE_QUAZIP=ON
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS.md CONTRIBUTING.md README.md
%license LICENSE.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_metainfodir}/org.%{name}.LibrePCB.metainfo.xml
%{_datadir}/mime/packages/org.%{name}.LibrePCB.xml


%changelog
* Thu Jun 26 2025 danf <danf> 1.3.0-2.mga10
+ Revision: 2195955
- Fix building with cmake4
  Fix group

* Tue Mar 25 2025 daviddavid <daviddavid> 1.3.0-1.mga10
+ Revision: 2169883
- new version: 1.3.0

* Sun Dec 01 2024 daviddavid <daviddavid> 2.mga10-current
+ Revision: 2120505
- new version: 1.2.0
- switch to Qt6

* Tue Nov 12 2024 daviddavid <daviddavid> 1.1.0-1.mga10
+ Revision: 2114662
- new version: 1.1.0

* Wed Nov 30 2022 daviddavid <daviddavid> 0.1.7-1.mga9
+ Revision: 1913509
- new version: 0.1.7

* Mon Apr 04 2022 umeabot <umeabot> 0.1.4-3.mga9
+ Revision: 1843285
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.1.4-2.mga8
+ Revision: 1658955
- Rebuild for new Qt5

* Wed Jul 15 2020 daviddavid <daviddavid> 0.1.4-1.mga8
+ Revision: 1606242
- new version: 0.1.4

* Fri May 01 2020 wally <wally> 0.1.3-4.mga8
+ Revision: 1577616
- use %%make_install

* Fri May 01 2020 ovitters <ovitters> 0.1.3-3.mga8
+ Revision: 1577577
- rebuild to test package builds with cmake_install without a cmake_build

* Tue Feb 18 2020 umeabot <umeabot> 0.1.3-2.mga8
+ Revision: 1539643
- Mageia 8 Mass Rebuild

* Tue Dec 10 2019 daviddavid <daviddavid> 0.1.3-1.mga8
+ Revision: 1465726
- initial package librepcb

